import { HttpStatusCode } from '../../commons/constants';
import { BaseError } from './BaseError';
export declare abstract class HTTPClientError extends Error {
    readonly id: string;
    readonly status: HttpStatusCode;
    readonly code: string;
    readonly message: string;
    readonly errors?: BaseError[];
    constructor(message: string, code: string, statusCode: HttpStatusCode, errors?: BaseError[]);
}
