"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("..");
const handle404Error = (router) => {
    router.use((req, res) => {
        __1.notFoundError();
    });
};
const handleClientError = (router) => {
    router.use((err, req, res, next) => {
        __1.clientError(err, res, next);
    });
};
const handleServerError = (router) => {
    router.use((err, req, res, next) => {
        __1.serverError(err, res, next);
    });
};
exports.default = [handle404Error, handleClientError, handleServerError];
//# sourceMappingURL=errorHandlers.js.map