import { Router, Request, Response, NextFunction } from "express";
export declare type Wrapper = (router: Router) => void;
export declare type Handler = (req: Request, res: Response, next: NextFunction) => Promise<void> | void;
export declare type Route = {
    path: string;
    method: string;
    handler: Handler | Handler[];
};
