import { BaseError } from './BaseError';
import { HTTPClientError } from './HTTPClientError';
export declare class HTTP400Error extends HTTPClientError {
    constructor(messageOrErrors?: string | BaseError[], code?: string);
}
export declare class HTTP404Error extends HTTPClientError {
    constructor(message?: string, code?: string);
}
export declare const notFoundError: () => void;
